diff -ur bc-1.06.95.old//dc/dc.c bc-1.06.95/dc/dc.c
--- bc-1.06.95.old//dc/dc.c	2009-10-05 01:00:07.000000000 +0200
+++ bc-1.06.95/dc/dc.c	2011-03-19 23:12:32.000000000 +0100
@@ -45,6 +45,8 @@
 # include <sys/stat.h>
 #endif
 #include <getopt.h>
+#include <pwd.h>
+#include <unistd.h>
 #include "dc.h"
 #include "dc-proto.h"
 
@@ -245,6 +247,29 @@
 	return r;
 }
 
+static void
+try_rcfile(void)
+{
+    char *homedir;
+    struct passwd *pw;
+    char *rcfile;
+    FILE *input;
+
+    homedir=getenv("HOME");
+    if (!homedir)
+    {
+	pw=getpwuid(getuid());
+	homedir=pw->pw_dir;
+    }
+    rcfile=malloc(strlen(homedir)+8);
+    sprintf(rcfile, "%s/.dcrc", homedir);
+    if (!(input=fopen(rcfile, "r")))
+	return;
+    if (dc_evalfile(input))
+	exit(EXIT_FAILURE);
+    fclose(input);
+}
+
 
 int
 main DC_DECLARG((argc, argv))
@@ -271,6 +296,8 @@
 	dc_register_init();
 	dc_array_init();
 
+	try_rcfile();
+
 	while ((c = getopt_long(argc, argv, "hVe:f:", long_opts, (int *)0)) != EOF) {
 		switch (c) {
 		case 'e':
